SYSTEMD-NETWORKD-WAIT-ONLINE.SERVICE(8)

BEZEICHNUNG
systemd-networkd-wait-online.service, systemd-networkd-wait-online - auf den Online-Zustand des Netzwerks warten

ÜBERSICHT

systemd-networkd-wait-online.service

/usr/lib/systemd/systemd-networkd-wait-online

BESCHREIBUNG

Systemd-networkd-wait-online ist ein einmalig ausgeführter Systemdienst (siehe systemd.service(5)), der darauf wartet, dass das Netzwerk eingerichtet wird. In der Voreinstellung werden alle Netzwerkschnittstellen berücksichtigt, die Systemd-networkd.service(8) bekannt sind und davon verwaltet werden. Maßgebend ist hierbei die vollständige Einrichtung der Verbindung oder deren Fehlschlag, beziehungsweise mindestens ein Link online ist. Hierbei bedeutet »online«, dass der Betriebsstatus gleich oder größer »degraded« ist. Die Schwelle kann mit der Option --operational-state= konfiguriert werden.

OPTIONEN

Die folgenden Optionen werden verstanden:

-i SCHNITTSTELLE[:BETRSTATUS], --interface=SCHNITTSTELLE[:BETRSTATUS]
    Netzwerkschnittstelle, auf die gewartet werden soll, bevor entschieden wird, ob das System online ist. Dies ist nützlich, wenn das System mehrere konfigurierte Schnittstellen hat, aber eine bestimmte notwendig ist, um auf bestimmte Netzwerkressourcen zuzugreifen. Wird dies verwandt, werden alle anderen Schnittstellen ignoriert. Diese Option kann mehr als einmal verwandt werden, um auf mehrere Netzwerkschnittstellen zu warten. Wenn diese Option mehrfach angegeben wird, dann wartet systemd-networkd-wait-online darauf, dass alle festgelegten Schnittstellen online sind. Optional kann der minimale Betriebsstatus nach einem Doppelpunkt »:« festgelegt werden. Bitte lesen Sie networkctl(1) für mögliche Betriebsstatus. Falls hier der Betriebsstatus nicht festgelegt ist, dann wird der Wert aus RequiredForOnline= in der entsprechenden ».network«-Datei verwandt, falls er vorhanden ist und andernfalls »degraded«.

--ignore=SCHNITTSTELLE
    gibt Netzwerkschnittstellen an, die bei der Feststellung, dass das System online ist, ignoriert werden. In der Voreinstellung wird lediglich die Loopback-Schnittstelle ignoriert. Wenn mehrere Netzwerkschnittstellen ignoriert werden sollen, kann diese Option mehrfach angegeben werden.

-o BETRSTATUS, --operational-state=BETRSTATUS
    Akzeptiert einen Betriebsstatus. Bitte lesen Sie networkctl(1) für mögliche Betriebsstatus. Falls gesetzt, wird der in der Einstellung RequiredForOnline= in ».network«-Dateien festgelegte Wert außer Kraft gesetzt. Dies setzt aber nicht die in der Option --interface= festgelegten Betriebsstatus außer Kraft.

--any
    Selbst falls mehrere Schnittstellen in einem konfigurierten Status sind, wird sich systemd-networkd-wait-online erfolgreich beenden, wenn mindestens eine Schnittstelle online geht. Wenn diese Option mit --interface= festgelegt wird, dann wartet systemd-networkd-wait-online darauf, dass eine der festgelegten Schnittstellen online geht. Diese Option ist nützlich, wenn einige Schnittstellen beim Systemstart keinen Träger haben könnten.

--timeout= SEK
    lässt den Dienst fehlschlagen, wenn das Netzwerk nicht innerhalb der hier angegebenen Zeit online ist. Wird als Wert 0 angegeben, wird die Zeitüberschreitung dadurch deaktiviert. In der Voreinstellung werden 120 Sekunden angenommen.

-q, --quiet
    Protokollnachrichten unterdrücken.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

SIEHE AUCH

systemd(1), systemd.service(5), systemd-networkd.service(8), networkctl(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.